Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types.data
Class AttributeSearchCondition

    java.lang.Object
      com.tibco.bpm.web.client.model.types.data.AbstractSearchCondition
          com.tibco.bpm.web.client.model.types.data.AttributeSearchCondition

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, SearchCondition

    public class AttributeSearchCondition

extends AbstractSearchCondition
implements com.google.gwt.user.client.rpc.IsSerializable

Constructor Summary
`AttributeSearchCondition()`

Method Summary
`java.lang.String` | `getAttrPath()`
`java.lang.String` | `getOperator()`
`java.lang.String` | `getParameterName()`
`java.util.List<java.lang.String>` | `getValues()`
`void` | `setAttrPath(java.lang.String attrPath)`
`void` | `setOperator(java.lang.String operator)`
`void` | `setParameterName(java.lang.String parameterName)`
`void` | `setValues(java.util.List<java.lang.String> values)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AttributeSearchCondition

    public AttributeSearchCondition()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getParameterName

    public java.lang.String getParameterName()

### setParameterName

    public void setParameterName(java.lang.String parameterName)

### getValues

    public java.util.List<java.lang.String> getValues()

### setValues

    public void setValues(java.util.List<java.lang.String> values)

### getAttrPath

    public java.lang.String getAttrPath()

### setAttrPath

    public void setAttrPath(java.lang.String attrPath)

### getOperator

    public java.lang.String getOperator()

### setOperator

    public void setOperator(java.lang.String operator)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.